GStreamer(1)

NAME
gst-complete - do bash completion for gst-launch command-lines

SYNOPSIS
complete -C gst-complete gst-launch

DESCRIPTION

gst-complete is a utility enabling bash to provide context sensitive tab completion for gst-launch command-lines. See the man page for gst-launch for the syntax of gst-launch command-lines. You must have a version of bash which supports programmable completion. Versions of bash which support this provide the complete builtin command.

USAGE
Generate the registry of available plugins by running gst-compprep. In your .bash_profile or other appropriate place, run

complete -C gst-complete gst-launch

SEE ALSO
gst-compprep(1), gst-launch(1), gst-register(1), gst-inspect(1),

AUTHOR
The GStreamer team at http://gstreamer.net/